### Method

# Gdk Surface create_vulkan_context

#### Declaration [src]

    GdkVulkanContext*
    gdk_surface_create_vulkan_context (
      GdkSurface* surface
      GError** error
    )

#### Description [src]

Creates a new `GdkVulkanContext` for rendering on `surface`.

If the creation of the `GdkVulkanContext` failed, `error` will be set.

#### Return value

Returns: | `GdkVulkanContext`
| The newly created `GdkVulkanContext`, or `NULL` on error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.